curl --request GET \
--url https://api.synctera.com/v2/statements/{statement_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.synctera.com/v2/statements/{statement_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.synctera.com/v2/statements/{statement_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"saving_summary": {
"accrual_days": 123,
"apy": 550,
"interest_earned": 150,
"interest_earned_previous_month": 150,
"interest_earned_previous_year": 10000,
"interest_earned_ytd": 10000
},
"exclude_jit_transactions": false,
"include_child_transactions": false,
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"billing_period_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"credit_summary": {
"amount_over_limit": 100000,
"amount_past_due": 100000,
"apr": 123,
"balance_for_interest": 123,
"credit_limit": 123,
"cumulative_lifetime_writeoff": 25000,
"disclosure": "We have told the credit bureau(s) about a late payment, missed payment or other default on your account. This information may be reflected in your credit report.",
"disputed_balance": 123,
"fees": 123,
"fees_ytd": 123,
"interest": 123,
"interest_ytd": 123,
"is_past_due": true,
"last_payment_date": "2023-12-25",
"minimum_payment_due": 123,
"payment_due": 123,
"payment_due_date": "2023-12-25",
"payments_received": 123
},
"end_date": "2023-12-25",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"issue_date": "2023-12-25",
"security_account_summary": {
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_number": "<string>",
"account_type": "<string>",
"apy": 550,
"closing_balance": 100000,
"disclosure": "<string>",
"interest": 150,
"interest_previous_month": 150,
"interest_previous_year": 10000,
"interest_ytd": 10000,
"opening_balance": 100000
},
"start_date": "2023-12-25",
"account_summary": {
"account_number": "<string>",
"account_status": "<string>",
"account_type": "<string>",
"balance_ceiling": {
"balance": 123
},
"balance_floor": {
"balance": 123
},
"creation_time": "2023-11-07T05:31:56Z",
"currency": "USD",
"customer_type": "<string>",
"financial_institution": {
"legal_address": {
"address_line_1": "100 Main St.",
"country_code": "US",
"address_line_2": "Suite 99",
"address_type": "SHIPPING",
"city": "New York",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"is_registered_agent": true,
"nickname": "Home",
"postal_code": "28620",
"state": "NY"
},
"name": "<string>",
"phone_number": "<string>"
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_updated_time": "2023-11-07T05:31:56Z",
"nickname": "<string>"
},
"authorized_signers": [
{
"creation_time": "2023-11-07T05:31:56Z",
"first_name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_name": "<string>",
"last_updated_time": "2023-11-07T05:31:56Z",
"middle_name": "<string>",
"relationship_type": "<string>"
}
],
"closing_balance": 123,
"customer_service_details": {
"address": {
"address_line_1": "100 Main St.",
"country_code": "US",
"address_line_2": "Suite 99",
"address_type": "SHIPPING",
"city": "New York",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"is_registered_agent": true,
"nickname": "Home",
"postal_code": "28620",
"state": "NY"
},
"email": "<string>",
"phone_number": "<string>"
},
"disclosure": "<string>",
"joint_account_holders": [
{
"creation_time": "2023-11-07T05:31:56Z",
"first_name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_name": "<string>",
"last_updated_time": "2023-11-07T05:31:56Z",
"middle_name": "<string>",
"relationship_type": "<string>"
}
],
"opening_balance": 123,
"pdf_document_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"primary_account_holder_business": {
"is_customer": true,
"addresses": [
{
"address_line_1": "100 Main St.",
"country_code": "US",
"address_line_2": "Suite 99",
"address_type": "SHIPPING",
"city": "New York",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"is_registered_agent": true,
"nickname": "Home",
"postal_code": "28620",
"state": "NY"
}
],
"classifications": [],
"compliance_restrictions": [
"LICENSED_CANNABIS"
],
"creation_time": "2010-05-06T12:23:34.321Z",
"customer_active": "2010-05-06T12:23:34.321Z",
"ein": "12-3456789",
"email": "alice@example.com",
"entity_name": "Apex Corporation",
"formation_date": "2000-01-01",
"formation_state": "NY",
"has_accounts": true,
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"last_updated_time": "2010-05-06T12:23:34.321Z",
"legal_address": {
"address_line_1": "100 Main St.",
"country_code": "US",
"address_line_2": "Suite 99",
"address_type": "SHIPPING",
"city": "New York",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"is_registered_agent": true,
"nickname": "Home",
"postal_code": "28620",
"state": "NY"
},
"metadata": {},
"phone_number": "+14374570680",
"spend_control_ids": [
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
],
"structure": "CORPORATION",
"tenant": "abcdef_ghijkl",
"trade_names": [
"Apex",
"Apex LLC",
"CorporationID#77231"
],
"verification_last_run": "2010-05-06T12:23:34.321Z",
"verification_status": "ACCEPTED",
"website": "https://example.com"
},
"primary_account_holder_personal": {
"creation_time": "2023-11-07T05:31:56Z",
"first_name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_name": "<string>",
"last_updated_time": "2023-11-07T05:31:56Z",
"middle_name": "<string>",
"relationship_type": "<string>"
},
"total_transactions": 123
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}Get a statement
Gets a full statement by its ID.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of a statement
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Response
statement
- Depository Statement
- Line of Credit Statement
- Charge Secured Statement
- Charge Unsecured Statement
- Credit Card Statement
A statement for a depository account
A summary of the accrued interest for the saving account in the current period
Show child attributes
Show child attributes
The type of statement
DEPOSIT, LINE_OF_CREDIT, CHARGE_SECURED, CHARGE_UNSECURED, CREDIT_CARD Ignore "JIT funding" transactions when generating a statement
false
Include transactions from sub-accounts when generating a statement
false
The unique identifier of the account the statement belongs to
The billing period this statement corresponds to
A summary of the accrued interest for the credit account in the current period.
Show child attributes
Show child attributes
The date indicating the ending of the time interval covered by the statement
statement ID
The date when the statement has been issued
A summary for the security account backing the credit account.
Show child attributes
Show child attributes
The date indicating the beginning of the time interval covered by the statement
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The account balance at the end of the statement period, in ISO 4217 minor currency units.
The customer service details of the fintech partner, e.g. phone number, email address, etc.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The account balance at the start of the statement period, in ISO 4217 minor currency units.
The ID of the uploaded PDF document in docstore
Represents a business customer.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The total number of transactions for this statement period.
Was this page helpful?

